/*
 * Created by SharpDevelop.
 * User: turugina
 * Date: 2009/06/15
 * Time: 22:59
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */
using System;
using System.Collections.Generic;
using System.Drawing;
using System.Windows.Forms;

namespace TwitterBlock
{
	/// <summary>
	/// Description of MainForm.
	/// </summary>
	public partial class MainForm : Form
	{
		private string userName;
		
		public string UserName {
			get { return userName; }
			set { userName = value; }
		}
		private string password;
		
		public string Password {
			get { return password; }
			set { password = value; }
		}
		
		private bool canceled = false;
		
		public bool Canceled {
			get { return canceled; }
		}
		
		public MainForm()
		{
			//
			// The InitializeComponent() call is required for Windows Forms designer support.
			//
			InitializeComponent();
			
			//
			// TODO: Add constructor code after the InitializeComponent() call.
			//
		}
	
		
		void BtnLoginClick(object sender, EventArgs e)
		{
			userName = txtUsername.Text;
			password = txtPassword.Text;
			
			if ( userName.Length > 0 && password.Length > 0 )
				this.Hide();
		}
		
		void BtnCancelClick(object sender, EventArgs e)
		{
			canceled = true;
			this.Hide();
		}
	}
}
